aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Edgecumbe <git@esotericnonsense.com>2019-11-11 05:25:36 +0000
committerDaniel Edgecumbe <git@esotericnonsense.com>2019-11-11 05:25:36 +0000
commite6302ee9e345fdd64ebca0f299231e48c4194530 (patch)
tree36f1f26951970ea11f2081dfa3004acf617a883e
parent18306740f7ae3ee0dc0061d0119555c9b4ba2445 (diff)
Add mkarchiso check
-rwxr-xr-xbuild/main.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/build/main.sh b/build/main.sh
index 77ec7ce..0787a11 100755
--- a/build/main.sh
+++ b/build/main.sh
@@ -10,6 +10,9 @@
set -euxo pipefail
+command -v mkarchiso || { echo "mkarchiso not found. try pacman -S archiso"; \
+ exit 1; }
+
script_path=$(dirname "$(readlink -f "${0}")")
# shellcheck source=config.sh
source "${script_path}/config.sh"